[blfs-support] Trying to Decide Which Qt

Ken Moffat zarniwhoop at ntlworld.com
Fri Dec 13 11:36:30 PST 2013


On Fri, Dec 13, 2013 at 01:10:54PM -0600, Dan McGhee wrote:
> 
> What, if any, functional loss will I experience by not installing Cups 
> right now?  If I wait to build Cups will I have to rebuild Qt-5.2.0
> 
 For qt-5 I cannot comment, and for qt-4 I've always built cups
before qt.  The reason for that is simple : most of my printing has
historically been from gtk applications.  If cups has been installed
before gtk+-2 then the gtk2 apps can see the cups print queues when
those have been created.  I assume the same is true for gtk3, and
probably for qt.

 Note that I never have _working_ printing until quite late in my
build : my sequence is xorg then glib/gtk_2,3}, preferred wm,
firefox, printing stack including gutenprint [ after that, I can
print ] plus the gimp and other photo stuff, office apps [ I keep
various notes in spreadsheets :) ], remaining AV [ pulls in qt for
vlc ], other apps.

ĸen
-- 
das eine Mal als Tragödie, dieses Mal als Farce



More information about the blfs-support mailing list